Name:           mypaint
Version:        2.0.1
Release:        %mkrel 7
Summary:        Paint program for use with graphics tablets
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://mypaint.org
Source0:        https://github.com/mypaint/mypaint/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Backport of https://github.com/mypaint/mypaint/pull/1183
Patch0:         0001-setuptools-fixes.patch
# https://github.com/mypaint/mypaint/pull/1193
Patch1:         0002-python311.patch

BuildRequires:  pkgconfig(libmypaint) >= 1.6
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(mypaint-brushes-2.0)
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-setuptools
BuildRequires:  swig

%description
MyPaint is a pressure- and tilt-sensitive painting program which works
well with Wacom graphics tablets and other similar devices. It comes
with a large brush collection including charcoal and ink to emulate
real media, but the highly configurable brush engine allows you to
experiment with your own brushes and with not-quite-natural painting.

%prep
%autosetup -p1

# for 64 bit
sed -i 's|lib/mypaint|%{_lib}/mypaint|g' mypaint.py
sed -i "s|'lib', 'mypaint'|'%{_lib}', 'mypaint'|" mypaint.py

%build
%{__python3} setup.py build_ext
%{__python3} setup.py build_py
%{__python3} setup.py build_translations
%{__python3} setup.py build_config

%install
%{__python3} setup.py managed_install --prefix=%{buildroot}%{_prefix}
[[ %{_lib} != lib ]] && mv %{buildroot}%{_prefix}/lib %{buildroot}%{_prefix}/%{_lib}

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc Changelog.md Licenses.md README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-ora-thumbnailer
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/thumbnailers/%{name}-ora.thumbnailer
%{_iconsdir}/hicolor/*/*/*


%changelog
* Fri Dec 29 2023 daviddavid <daviddavid> 2.0.1-7.mga10
+ Revision: 2024035
- backport upstream fixes to fix build with python >= 3.11
- rebuild for py3.12
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Thu Mar 31 2022 umeabot <umeabot> 2.0.1-5.mga9
+ Revision: 1836365
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 2.0.1-4.mga9
+ Revision: 1779130
- Rebuild for python 3.10

* Thu Mar 25 2021 daviddavid <daviddavid> 2.0.1-3.mga9
+ Revision: 1710174
- rebuild for python 3.9

* Sun Nov 29 2020 luigiwalser <luigiwalser> 2.0.1-2.mga8
+ Revision: 1650343
- rebuild for json-c

* Sun Jul 12 2020 eatdirt <eatdirt> 2.0.1-1.mga8
+ Revision: 1605297
- Upgrade to version 2.0.1

* Tue Mar 31 2020 wally <wally> 2.0.0-1.mga8
+ Revision: 1562760
- new version 2.0.0
- replace deprecated %%setup_compile_flags
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Apr 05 2019 daviddavid <daviddavid> 1.2.1-5.mga7
+ Revision: 1386018
- switch to Python2 scons support

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-4.mga7
+ Revision: 1299660
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 1.2.1-3.mga7
+ Revision: 1245366
- rebuild for new json-c 0.13.1

* Wed Oct 04 2017 daviddavid <daviddavid> 1.2.1-2.mga7
+ Revision: 1168199
- patch1: fix build with scons 3.0

* Mon Jan 23 2017 akien <akien> 1.2.1-1.mga6
+ Revision: 1083095
- Version 1.2.1

* Fri Sep 09 2016 akien <akien> 1.2.0-2.mga6
+ Revision: 1051075
- Add missing python-gi-cairo and python-numpy dependencies (mga#18298)
- Do not exclude typelib() autoreqs (was a mistakenly pushed test)

* Fri Apr 15 2016 akien <akien> 1.2.0-1.mga6
+ Revision: 1002765
- Version 1.2.0 (+ big spec cleanup)

* Fri Feb 05 2016 umeabot <umeabot> 1.1.0-9.mga6
+ Revision: 937381
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 1.1.0-8.mga6
+ Revision: 893635
- fix empty debugfiles (permissions of libraries must be 0755 instead of 0644)

* Mon Nov 17 2014 wally <wally> 1.1.0-7.mga5
+ Revision: 797714
- add more fixes for deprecated icons

* Mon Nov 17 2014 wally <wally> 1.1.0-6.mga5
+ Revision: 797706
- add patch from Fedora to fix startup after usrmove (mga#10807)
- fix usage of deprecated gtk stock icons

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 747356
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 682721
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 526229
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.1.0-2.mga4
+ Revision: 436243
- final path
- use prefix
- install into lib64
- as needed only
- real ldflags
- add link
- update file list
- use compile flag
- br json-c
- rebuild for new libpng
+ dams <dams>
- add 'lcms2-devel' as BR
- new version 1.1.0
+ dmorgan <dmorgan>
- Add P0: Find json

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 360574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Dec 04 2012 malo <malo> 1.0.0-2.mga3
+ Revision: 326309
- update RPM group

* Mon Nov 28 2011 dams <dams> 1.0.0-1.mga2
+ Revision: 173755
- new version 1.0.0
- update and clean specfile
- now source is tar.xz

* Mon Sep 19 2011 fwang <fwang> 0.9.1-2.mga2
+ Revision: 145348
- rebuild for new libpng

* Wed Jul 06 2011 dams <dams> 0.9.1-1.mga2
+ Revision: 119446
- Update to 0.9.1

* Sun Apr 17 2011 ennael <ennael> 0.9.0-1.mga1
+ Revision: 86939
- clean spec file
- imported package mypaint


* Mon Nov 08 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.9.0-1mdv2011.0
+ Revision: 595124
- new version 0.9.0

* Sun May 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0.8.2-2mdv2010.1
+ Revision: 541622
- Fix Requirs (does not start without python-protobuf installed:
  bug #58792)

* Mon Mar 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 513067
- Update to new version 0.8.2

* Mon Feb 22 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.1-1mdv2010.1
+ Revision: 509579
- update to 0.8.1

* Sat Jan 30 2010 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.1
+ Revision: 498503
- Add protobuf-compiler BuildRequires
- Remove useless BuildRequires and Requires, because they are
  already implicity required by other (Build)Requires
- Update to new version 0.8.0
- Use scons hacks from Fedora, makes it use correct libdir on 64 bit
- Use upstream desktop file

* Thu Oct 01 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.7.1-2mdv2010.0
+ Revision: 452147
- fix library path
- import mypaint


* Thu Oct 1 2009 Stephane Teletchea <steletch@mandriva.org> mypaint-0.7.1-1mdv2010.0
- Correct desktop file
- Clean spaces in spec, simplify BR

* Mon Sep 28 2009 Donald Stewart <watersnowrock@gmail.com> mypaint-0.7.1-1djbs2010.0
- Import .spec from MIB
- Clean .spec 
